BMAP(9)

NAME
bmap - find a block number in a file

SYNOPSIS

sector_t bmap(struct inode * inode, sector_t block);

ARGUMENTS

inode
    inode of file

block
    block to find

DESCRIPTION

Returns the block number on the device holding the inode that is the disk block number for the block of the file requested. That is, asked for block 4 of inode 1 the function will return the disk block relative to the disk start that holds that block of the file.

COPYRIGHT